Upload assets

Upload one or more asset files

POST
/assets/upload
AuthorizationBearer <token>

Bearer token authentication. Use your API key as the bearer token.

In: header

filestring

Asset files

folderId?string

Folder ID to upload to

temp?boolean

Whether assets should be temporary

Response Body

curl -X POST "https://eu1.api.bivariant.com/v1/assets/upload" \  -F file="string"
[
  {
    "asset": {
      "appId": "string",
      "createdAt": "string",
      "description": "string",
      "downloadUrl": "string",
      "fileSize": 0,
      "id": "string",
      "isFolder": true,
      "isSystem": true,
      "mimeType": "string",
      "name": "string",
      "organizationId": "string",
      "ownerId": "string",
      "parentId": "string",
      "spaceId": "string",
      "status": null,
      "updatedAt": "string"
    },
    "error": {
      "code": "string",
      "message": "string"
    }
  }
]
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}
{
  "code": "string",
  "message": "string"
}